/*
 * String functions.
 */

/*
 *  3.3.91 sjw; ensure only effective once
 * 19.3.91 sjw; mem routines should be void * not char *
 * 21.5.91 sjw; add strdup()
 * 29.5.91 sjw; bcopy(), bcmp(), bzero() should use void * not char *
 */

#ifndef __STRING_H__
#define __STRING_H__

char   *strcpy(char *dst, const char *src);
char   *strncpy(char *dst, const char *src, int size);
char   *strcat(char *dst, const char *src);
char   *strncat(char *dst, const char *src, int size);
int     strcmp(const char *s1, const char *s2);
int     strncmp(const char *s1, const char *s2, int size);
char   *strchr(const char *s, int charwanted);
char   *strrchr(const char *s, int charwanted);
int     strspn(const char *s, const char *accept);
int     strcspn(const char *s, const char *reject);
char   *strpbrk(const char *s, const char *breakat);
char   *strstr(const char *s, const char *wanted);
int     strlen(const char *s);
char   *strerror(int errnum);
char   *strtok(char *s, const char *delim);
char   *strdup(const char *s);

void   *memcpy(void *dst, const void *src, int size);
int     memcmp(const void *s1, const void *s2, int size);
void   *memchr(const void *s, int ucharwanted, int size);
void   *memset(void *s, int ucharfill, int size);

/* ?? */
void   *memccpy(void *dst, const void *src, int ucharstop, int size);

/*
 * V7 and Berklix compatibility.
 */

char   *index(const char *s, int charwanted);
char   *rindex(const char *s, int charwanted);
int     bcopy(const void *src, void *dst, int length);
int     bcmp(const void *s1, const void *s2, int length);
int     bzero(void *dst, int length);

#endif /* __STRING_H__ */

